<?php
defined( 'ABSPATH' ) || exit;

/**
 * Loads plugin dependencies.
 */
class Awp_Loader {

	/**
	 * Constructor.
	 */
	public function __construct() {
		$this->load_dependency();
	}

	/**
	 * Include and boot modules.
	 */
	public function load_dependency() {
		require_once AWP_PLUGIN_PATH . 'inc/class-awp-settings.php';
		require_once AWP_PLUGIN_PATH . 'inc/class-awp-assets.php';
		require_once AWP_PLUGIN_PATH . 'inc/class-awp-renderer.php';
		require_once AWP_PLUGIN_PATH . 'admin/Admin.php';
		require_once AWP_PLUGIN_PATH . 'frontend/Frontend.php';
		require_once AWP_PLUGIN_PATH . 'elementor/class-awp-elementor.php';

		AWP_Settings::get_instance()->init();
		AWP_Assets::init();
		Awp_Slider_Admin::get_instance()->init();
		Awp_Slider_Frontend::get_instance()->init();
		AWP_Elementor::get_instance()->init();
	}
}
